## org.w3c.jigsaw.tutorials
Class FancyFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.tutorials.FancyFrame

public class FancyFrame
extends HTTPFrame

Field Summary
`protected static int` | `ATTR_MESSAGE` Attribute index - Message to display

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`_allowed, acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`FancyFrame()`

Method Summary
`protected org.w3c.jigsaw.http.Reply` | `getDirectoryResource(org.w3c.jigsaw.http.Request request)` Display the Frame message and some attributes of our associated DirectoryResource.
`protected org.w3c.jigsaw.http.Reply` | `getFileResource(org.w3c.jigsaw.http.Request request)` Display the Frame message and some attributes of our associated FileResource.
`java.lang.String` | `getMessage()` Get the message.
`protected org.w3c.jigsaw.http.Reply` | `getOtherResource(org.w3c.jigsaw.http.Request request)` Display the Frame message and some attributes of our associated Resource.

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame

`addStyleSheet, attributeChanged, browse, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteOtherResource, extended, get, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryListing, getDirectoryResource, getETag, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getMaxAge, getMD5Flag, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, link, lookup, lookupDirectory, lookupFile, lookupOther, lookupResource, options, perform, performFrames, post, put, putFileResource, putOtherResource, registerOtherResource, registerResource, setValue, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_MESSAGE

    protected static int ATTR_MESSAGE

  Attribute index - Message to display

Constructor Detail

### FancyFrame

    public FancyFrame()

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get the message.
  Returns:
    A String instance.

### getFileResource

    protected org.w3c.jigsaw.http.Reply getFileResource(org.w3c.jigsaw.http.Request request)
                                                 throws org.w3c.tools.resources.ProtocolException,
                                                        org.w3c.tools.resources.ResourceException

  Display the Frame message and some attributes of our associated FileResource. This method is called only if our associated resource *is* a FileResource.
  Parameters:
    `request` - The request to handle.
  Returns:
    A Reply instance.
  Throws:
    org.w3c.tools.resources.ProtocolException - if processing the request failed
    org.w3c.tools.resources.ResourceException - if an internal error occurs
  Overrides:
    getFileResource in class HTTPFrame

### getDirectoryResource

    protected org.w3c.jigsaw.http.Reply getDirectoryResource(org.w3c.jigsaw.http.Request request)
                                                      throws org.w3c.tools.resources.ProtocolException,
                                                             org.w3c.tools.resources.ResourceException

  Display the Frame message and some attributes of our associated DirectoryResource. This method is called only if our associated resource *is* a DirectoryResource.
  Parameters:
    `request` - The request to handle.
  Returns:
    A Reply instance.
  Throws:
    org.w3c.tools.resources.ProtocolException - if processing the request failed
    org.w3c.tools.resources.ResourceException - if an internal error occurs
  Overrides:
    getDirectoryResource in class HTTPFrame

### getOtherResource

    protected org.w3c.jigsaw.http.Reply getOtherResource(org.w3c.jigsaw.http.Request request)
                                                  throws org.w3c.tools.resources.ProtocolException,
                                                         org.w3c.tools.resources.ResourceException

  Display the Frame message and some attributes of our associated Resource. This method is called if the associated resource has been registered with registerOtherResource or if it's not a usual resource (FileResource, DirectoryResource)
  Parameters:
    `request` - The request to handle.
  Returns:
    A Reply instance.
  Throws:
    org.w3c.tools.resources.ProtocolException - if processing the request failed
    org.w3c.tools.resources.ResourceException - if an internal error occurs
  Overrides:
    getOtherResource in class HTTPFrame